import { Component } from '@angular/core';
import { Router } from '@angular/router';
import { CommonNzModule } from '../../../../common.nz.module';
import { SettingService } from '../../../../services/setting.service';
import { StorageService } from '../../../../services/storage.service';

@Component({
  selector: 'manager-header',
  standalone: true,
  imports: [CommonNzModule],
  templateUrl: './header.component.html',
  styleUrl: './header.component.less',
})
export class HeaderComponent {
  constructor(
    readonly setting: SettingService,
    private readonly storage: StorageService,
    private readonly router: Router
  ) {}
  toCenter(ev: MouseEvent) {
    ev.preventDefault();
    this.router.navigate(['/manager/center']);
  }
  handleLogout(ev: MouseEvent) {
    ev.preventDefault();
    this.setting.clear();
    this.storage.token = '';
    this.router.navigate(['/login']);
  }
}
